# Values to be rendered: .Release.Namespace
SVC_NAME="${MY_POD_NAME}-external"

k8s_svc_node_port() {
    local namespace=${1:?namespace is missing}
    local service=${2:?service is missing}
    local index=${3:-0}
    local node_port="$(kubectl get svc "$service" -n "$namespace" -o jsonpath="{.spec.ports[$index].nodePort}")"
    echo "$node_port"
}

EXTERNAL_ACCESS_IP=${NODE_IP:?node ip is missing}
EXTERNAL_ACCESS_PORT=$(k8s_svc_node_port "{{ .Release.Namespace }}" "$SVC_NAME")
